org.apache.poi.sl.usermodel

## Enum RectAlign

- java.lang.Object
- - java.lang.Enum<RectAlign>
  - - org.apache.poi.sl.usermodel.RectAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RectAlign>

      public enum RectAlign
      extends java.lang.Enum<RectAlign>

  Specifies possible rectangle alignment types. See org.openxmlformats.schemas.drawingml.x2006.main.STRectAlignment
  See Also:
    `STRectAlignment`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` Bottom rectangle alignment
    `BOTTOM_LEFT` Bottom-Left rectangle alignment
    `BOTTOM_RIGHT` Bottom-Right rectangle alignment
    `CENTER` Center rectangle alignment
    `LEFT` Left rectangle alignment
    `RIGHT` Right rectangle alignment
    `TOP` Top rectangle alignment
    `TOP_LEFT` Top-Left rectangle alignment
    `TOP_RIGHT` Top-Right rectangle alignment

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` The string representation, which corresponds to the internal XML enum value
    `static RectAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RectAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP_LEFT

          public static final RectAlign TOP_LEFT

      Top-Left rectangle alignment

    - #### TOP

          public static final RectAlign TOP

      Top rectangle alignment

    - #### TOP_RIGHT

          public static final RectAlign TOP_RIGHT

      Top-Right rectangle alignment

    - #### LEFT

          public static final RectAlign LEFT

      Left rectangle alignment

    - #### CENTER

          public static final RectAlign CENTER

      Center rectangle alignment

    - #### RIGHT

          public static final RectAlign RIGHT

      Right rectangle alignment

    - #### BOTTOM_LEFT

          public static final RectAlign BOTTOM_LEFT

      Bottom-Left rectangle alignment

    - #### BOTTOM

          public static final RectAlign BOTTOM

      Bottom rectangle alignment

    - #### BOTTOM_RIGHT

          public static final RectAlign BOTTOM_RIGHT

      Bottom-Right rectangle alignment

  - ### Method Detail

    - #### values

          public static RectAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RectAlign c : RectAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RectAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      The string representation, which corresponds to the internal XML enum value
      Overrides:
        `toString` in class `java.lang.Enum<RectAlign>`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.